# Soybean charcoal rot and yield under different cover crop and crop rotation management systems

This repository contains all code and data necessary to reproduce the analyses in the manuscript:

Mengistu, A., Read, Q. D. Cover crop and crop rotation effects on tissue and soil population dynamics of *Macrophomina phaseolina* and yield in no-till system. (Citation will be updated upon final acceptance of manuscript)

The repository contains the following files:

## Data

- `yield_CFU_by_plot.csv`: Comma-separated file with yield collected at the plot level, and stem and soil CFU averaged at the plot level from individual plant measurements
- `stem_soil_CFU_by_plant.csv`: Comma-separated file with stem and soil CFU data collected at the individual plant level

## Code

- `cropping_system_analysis_v3.0.Rmd`: RMarkdown notebook with the majority of the data processing, analysis, and visualization code
- `equations.Rmd`: RMarkdown notebook with formatted equations
- `formatted_figs_revision.R`: R script to produce figures formatted exactly as they appear in the manuscript

The Rproject file `cropping-systems.Rproj` is used to organize the RStudio project. Scripts and notebooks used in older versions of the analysis are found in the `testing/` subdirectory. Raw MS Excel files are found in the `raw_data/` subdirectory.

*Last edited by QDR, 2023-08-03*