# Correlations using the BLUPs at the plot level

pred_grid_analysis1 <- dat_rawcfu %>%
  dplyr::select(Year, Rep, Previous.Crop, CoverCrop) %>%
  filter(Year %in% c(2011, 2015)) %>%
  unique

cordat_analysis1 <- data.frame(
  Year = pred_grid_analysis1$Year,
  stemCFU = predict(fit_stem, newdata = pred_grid_analysis1, re.form = NULL),
  soilCFU = predict(fit_soil, newdata = pred_grid_analysis1, re.form = NULL),
  yield = predict(fit_yield, newdata = pred_grid_analysis1, re.form = NULL)
)

pred_grid_analysis2 <- dat_rawcfu %>%
  dplyr::select(Year, Rep, Previous.Crop, CoverCrop) %>%
  filter(Year %in% c(2012, 2013, 2014), Previous.Crop %in% 'c. soybean') %>%
  unique

cordat_analysis2 <- data.frame(
  Year = pred_grid_analysis2$Year,
  stemCFU = predict(fit_stem_csoy, newdata = pred_grid_analysis2, re.form = NULL),
  soilCFU = predict(fit_soil_csoy, newdata = pred_grid_analysis2, re.form = NULL),
  yield = predict(fit_yield_csoy, newdata = pred_grid_analysis2, re.form = NULL)
)

library(corrr)

cor_byyear1 <- cordat_analysis1 %>%
  group_by(Year) %>%
  nest() %>%
  mutate(cor = map(data, correlate))
  
cor_byyear2 <- cordat_analysis2 %>%
  group_by(Year) %>%
  nest() %>%
  mutate(cor = map(data, correlate))

cor_allyears <- bind_rows(cordat_analysis1, cordat_analysis2) %>%
  dplyr::select(-Year) %>%
  correlate()
