# Differences across years for continuous soybeans
fit_stem_csoy <- lmer(log10(StemCFUAvg) ~ CoverCrop * Year + (1|Rep), data = dat %>% mutate(Year = factor(Year)), subset = Previous.Crop %in% 'c. soybean')
fit_soil_csoy <- lmer(log10(SoilCFUAvg) ~ CoverCrop * Year + (1|Rep), data = dat %>% mutate(Year = factor(Year)), subset = Previous.Crop %in% 'c. soybean')
fit_yield_csoy <- lmer(YldKgHa ~ CoverCrop * Year + (1|Rep), data = dat %>% mutate(Year = factor(Year)), subset = Previous.Crop %in% 'c. soybean')

emmeans_stem_csoy <- emmeans(fit_stem_csoy, specs = 'CoverCrop', mode = 'kenward-roger', type = 'response')
emmeans_soil_csoy <- emmeans(fit_soil_csoy, specs = 'CoverCrop', mode = 'kenward-roger', type = 'response')
emmeans_yield_csoy <- emmeans(fit_yield_csoy, specs = 'CoverCrop', mode = 'kenward-roger', type = 'response')
cld_stem_csoy <- cld(emmeans_stem_csoy, adjust = 'tukey', Letters = letters)
cld_soil_csoy <- cld(emmeans_soil_csoy, adjust = 'tukey', Letters = letters)
cld_yield_csoy <- cld(emmeans_yield_csoy, adjust = 'tukey', Letters = letters)

emmeans_stem_csoy_byyear <- emmeans(fit_stem_csoy, specs = ~ Year, mode = 'kenward-roger', type = 'response')
emmeans_soil_csoy_byyear <- emmeans(fit_soil_csoy, specs = ~ Year, mode = 'kenward-roger', type = 'response')
emmeans_yield_csoy_byyear <- emmeans(fit_yield_csoy, specs = ~ Year, mode = 'kenward-roger', type = 'response')

cld_stem_csoy_byyear <- cld(emmeans_stem_csoy_byyear, adjust = 'tukey', Letters = letters)
cld_soil_csoy_byyear <- cld(emmeans_soil_csoy_byyear, adjust = 'tukey', Letters = letters)
cld_yield_csoy_byyear <- cld(emmeans_yield_csoy_byyear, adjust = 'tukey', Letters = letters)

emmeans_stem_csoy_yearxtrt <- emmeans(fit_stem_csoy, specs = ~ Year + CoverCrop, mode = 'kenward-roger', type = 'response')
emmeans_soil_csoy_yearxtrt <- emmeans(fit_soil_csoy, specs = ~ Year + CoverCrop, mode = 'kenward-roger', type = 'response')
emmeans_yield_csoy_yearxtrt <- emmeans(fit_yield_csoy, specs = ~ Year + CoverCrop, mode = 'kenward-roger', type = 'response')
