---
title: "Model notation"
author: "Quentin D. Read"
date: "11/26/2021"
output: html_document
---

# Analysis 1

Because of the split-plot design we have three separate experimental errors: two whole-plot errors for each of the two treatments (previous crop and cover crop), and a separate subplot error for the interaction of the two treatments. I think year 

$$Y_{ijkl} = \mu + \beta_i + \gamma_j + (\beta\gamma)_{ij} + Year_k + Block_l + (\beta Block)_{il} + (\gamma Block)_{jl} + \epsilon_{ijkl}$$

where 

$$\epsilon \sim N(0, \sigma^2), \betaBlock \sim N(0, \sigma_{\beta Block}^2), \gamma Block \sim N(0, \sigma_{\gamma Block}^2)$$

Above, beta is the fixed effect of previous crop treatment i, gamma is the fixed effect of cover crop treatment j, betagamma is the interaction effect of treatment combination i x j, Year is the fixed effect of year k, Block is the random effect of block l, and the three experimental errors are the whole-plot errors used to test the main effects of previous crop and cover crop betaBlock and gammaBlock, and the subplot error epsilon used to test the interaction effect between the two treatments. 

# Analysis 2

$$Y_{ijk} = \mu + \beta_i + Year_j + Block_k + \epsilon_{ijk}$$

where

$$\epsilon \sim N(0, \sigma^2), Year \sim N(0, \sigma_{Year}^2), Block \sim N(0, \sigma_{Block}^2)$$
