# Try year by treatment interactions
fit_stem_full <- lmer(log10(StemCFUAvg) ~ Previous.Crop * CoverCrop + Year + Previous.Crop:Year + CoverCrop:Year + (1|Rep/Previous.Crop/CoverCrop), data = dat, subset = Year %in% c(2011, 2015))
fit_soil_full <- lmer(log10(SoilCFUAvg) ~ Previous.Crop * CoverCrop + Year + Previous.Crop:Year + CoverCrop:Year + (1|Rep/Previous.Crop/CoverCrop), data = dat, subset = Year %in% c(2011, 2015))
fit_yield_full <- lmer(YldKgHa ~ Previous.Crop * CoverCrop + Year + Previous.Crop:Year + CoverCrop:Year + (1|Rep/Previous.Crop/CoverCrop), data = dat, subset = Year %in% c(2011, 2015))

fit_yield <- lmer(YldKgHa ~ Previous.Crop * CoverCrop + Year + (1|Rep/Previous.Crop/CoverCrop), data = dat, subset = Year %in% c(2011, 2015))

cld(emmeans(fit_yield_full, ~ Previous.Crop, method='kenward-roger'),adjust='tukey',Letters=letters)


dat2 <- dat %>% mutate(Year=factor(Year))

fit_yield_full2 <- lmer(YldKgHa ~ Previous.Crop * CoverCrop + Year + Previous.Crop:Year + CoverCrop:Year + (1|Rep/Previous.Crop/CoverCrop), data = dat2, subset = Year %in% c(2011, 2015))

fit_yield2 <- lmer(YldKgHa ~ Previous.Crop * CoverCrop + Year + (1|Rep/Previous.Crop/CoverCrop), data = dat2, subset = Year %in% c(2011, 2015))
