# New models

# previous crop by cover crop

### OLD
oldfit_stem <- lmer(log10(StemCFUAvg) ~ (Previous.Crop + CoverCrop + Year)^2 + (1|Rep/Previous.Crop/CoverCrop), data = dat, subset = Year %in% c(2011, 2015))
oldfit_soil <- lmer(log10(SoilCFUAvg) ~ (Previous.Crop + CoverCrop + Year)^2 + (1|Rep/Previous.Crop/CoverCrop), data = dat, subset = Year %in% c(2011, 2015))
oldfit_yield <- lmer(YldKgHa ~(Previous.Crop + CoverCrop + Year)^2 + (1|Rep/Previous.Crop/CoverCrop), data = dat, subset = Year %in% c(2011, 2015))

### NEW
# three way interactions, correct strip plot errors, and even plant level errors for stem and soil
# log x+1 transformation for stem and soil as we now have some zero values
# pcrop:rep is column, ccrop:rep is row, and pcrop:ccrop:rep is plot for the ones with multiple plants per plot.
fit_stem <- lmer(log1p(StemCFUg) ~ Previous.Crop * CoverCrop * Year + (1|Rep) + (1|Previous.Crop:Rep) + (1|CoverCrop:Rep) + (1|Previous.Crop:CoverCrop:Rep), data = dat_rawcfu, subset = Year %in% c(2011, 2015))
fit_soil <- lmer(log1p(SoilCFUg) ~ Previous.Crop * CoverCrop * Year + (1|Rep) + (1|Previous.Crop:Rep) + (1|CoverCrop:Rep) + (1|Previous.Crop:CoverCrop:Rep), data = dat_rawcfu, subset = Year %in% c(2011, 2015))
fit_yield <- lmer(YldKgHa ~ Previous.Crop * CoverCrop * Year + (1|Rep) + (1|Previous.Crop:Rep) + (1|CoverCrop:Rep), data = dat, subset = Year %in% c(2011, 2015))

# cover crop within continuous soy

# Note, here the old and new do not differ.
### OLD
oldfit_stem_csoy <- lmer(log10(StemCFUAvg) ~ CoverCrop * Year + (1|Rep), data = dat %>% mutate(Year = factor(Year)), subset = Previous.Crop %in% 'c. soybean')
oldfit_soil_csoy <- lmer(log10(SoilCFUAvg) ~ CoverCrop * Year + (1|Rep), data = dat %>% mutate(Year = factor(Year)), subset = Previous.Crop %in% 'c. soybean')
oldfit_yield_csoy <- lmer(YldKgHa ~ CoverCrop * Year + (1|Rep), data = dat %>% mutate(Year = factor(Year)), subset = Previous.Crop %in% 'c. soybean')

### NEW
fit_stem_csoy <- lmer(log1p(StemCFUg) ~ CoverCrop * Year + (1|Rep) + (1|CoverCrop:Rep), data = dat_rawcfu, subset = Previous.Crop %in% 'c. soybean')
fit_soil_csoy <- lmer(log1p(SoilCFUg) ~ CoverCrop * Year + (1|Rep) + (1|CoverCrop:Rep), data = dat_rawcfu, subset = Previous.Crop %in% 'c. soybean')
fit_yield_csoy <- lmer(YldKgHa ~ CoverCrop * Year + (1|Rep), data = dat, subset = Previous.Crop %in% 'c. soybean')